Description

Many WFS Server support some Filter Encoding options.

From a client implementation point of view its only adding a KVP parameter (&Filter=value) in the Get Feature request, where a value is a

valid Filter Encoding XML ("<Filter>...</Filter>").

From a GUI perspective, this value could be entered by the user in the modal dialog "Add WFS Layer..." and then stored along the WFS

data source parameters.

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-20 07:25 AM - Médéric RIBREUX

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No

- Category changed from Web Services clients/WMS to Web Services clients/WFS

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

WFS filters are enabled in QGIS 2.13 master WFS client. There is a Query Builder button to open an expression builder to build the filter. The filter is really

applied on the server level and not on QGIS side because it is described into the WFS query as you can see in the layer source string:

http://ws.carmencarto.fr/WFS/119/fxx_inpn?SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFeature&TYPENAME=Znieff2&SRSNAME=EPS

G:2154&FILTER=<ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

 <ogc:PropertyIsGreaterThan>

  <ogc:PropertyName>ID_MNHN</ogc:PropertyName>

  <ogc:Literal>230031027</ogc:Literal>

 </ogc:PropertyIsGreaterThan>

</ogc:Filter>
The query builder can't show the attributes values from the server so you have to know your filter before. But once written, the layer is filtered on the server

side.

So, I am closing this bug.
